libzypp 17.37.10

zypp::AutoDispose< Tp >::Impl Struct Reference
Inheritance diagram for zypp::AutoDispose< Tp >::Impl:

## Public Member Functions
template<typename T>
| Impl (T &&value_r)
template<typename T, typename D>
| Impl (T &&value_r, D &&dispose_r)
| ~Impl ()

## Public Attributes
value_type | _value
Dispose | _dispose

## Detailed Description

template<class Tp>
struct zypp::AutoDispose< Tp >::Impl

Definition at line 179 of file AutoDispose.h.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

template<class Tp>
template<typename T>

zypp::AutoDispose< Tp >::Impl::Impl | ( | T && | value_r | ) |
| inline

Definition at line 182 of file AutoDispose.h.

## ◆ Impl() [2/2]

template<class Tp>
template<typename T, typename D>

zypp::AutoDispose< Tp >::Impl::Impl | ( | T && | value_r,
|  | D && | dispose_r )
| inline

Definition at line 186 of file AutoDispose.h.

## ◆ ~Impl()

template<class Tp>

zypp::AutoDispose< Tp >::Impl::~Impl | ( |  | ) |
| inline

Definition at line 190 of file AutoDispose.h.

## Member Data Documentation

## ◆ _value

template<class Tp>

value_type zypp::AutoDispose< Tp >::Impl::_value

Definition at line 195 of file AutoDispose.h.

## ◆ _dispose

template<class Tp>

Dispose zypp::AutoDispose< Tp >::Impl::_dispose

Definition at line 196 of file AutoDispose.h.

The documentation for this struct was generated from the following file:

- zypp-core/AutoDispose.h